Description

Same motivation as in #32013

The patch doesn't make calendar and gantt tables rounded though, due to more complex structure that they have, hence requiring

different approach.

Related issues:

Related to Redmine - Patch #32013: Rounded corners of the main menu Closed

Related to Redmine - Patch #32165: Rounded corners on table.cal Closed

Related to Redmine - Patch #32166: Rounded corners on table.gantt-table New

Associated revisions

Revision 18547 - 2019-09-28 02:06 - Go MAEDA

Rounded corners on table.list elements (#32014).

Patch by Antonio McDeal.

History

#1 - 2019-09-04 19:31 - Anonymous

- File roundedlisttables.png added

- File roundedlisttables2.png added

 roundedlisttables.png 

 roundedlisttables2.png 

#2 - 2019-09-18 17:10 - Bernhard Rohloff

- Related to Patch #32013: Rounded corners of the main menu added

#3 - 2019-09-27 16:45 - Go MAEDA

The patch removes border-collapse property. Do you think it is OK? (sorry if this is a stupid question. I am not a CSS expert).

#4 - 2019-09-27 17:03 - Anonymous

Go, roundness with border-radius on table elements can't seem to be achieved if border-collapse: collapse; is present, so I cleared it in a favor of 

border-spacing: 0; for this reason, which it did seem like does the same thing, only, unlike border-collapse, it doesn't block border-radius to be

applied.

#5 - 2019-09-27 17:26 - Bernhard Rohloff

Yes, as Antonio wrote, it's necessary to get the border radius and border-spacing: 0; compensates it.

One notice of caution: I played with the border radius and found out that the cells don't get clipped to the round shape. Maybe an additional overflow:

hidden; is missing here.

#6 - 2019-09-27 20:46 - Anonymous

- File rounded-tables(excl-calendar+gantt+mypage)-v2.patch added

Bernhard Rohloff wrote:

Maybe an additional overflow: hidden; is missing here.
 Not that it's a biggie, as our border radius doesn't seem to be that big anyway, for cells under to stick out, it's only 3px after all, but here is the patch

with hidden overflow just in case ;-)

#7 - 2019-09-28 02:07 - Go MAEDA

- Subject changed from Rounded corners on table/list elements to Rounded corners on table.list elements

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 4.1.0

Committed the patch. Thank you for improving Redmine.

#8 - 2019-09-28 15:48 - Go MAEDA

- Status changed from Closed to Reopened

I will revert this change because the change caused other changes such as #32165 and #32166 and I cannot predict how much the impact will spread

further.

#9 - 2019-09-28 16:22 - Anonymous

Go MAEDA wrote:

I will revert this change because the change caused other changes such as #32165 and #32166 and I cannot predict how much the impact will

spread further.

 #32165 and #32166 would be the last patches for the tables anyway, and it's really to be over with now after those two really small patches :D

Just calendar and gantt were styled and structured differently than list.tables and also each-other, hence why required separate patches.

Either way, I think it's better to keep it like that rather than reverting it, since gantt and calendar seem like the only exceptions anyway. Then deliver

those two in later versions (if release will happen before they ready) if necessary.

We should probably add them as related too.

#10 - 2019-10-02 16:42 - Go MAEDA

- Status changed from Reopened to Closed

#11 - 2019-10-03 03:41 - Go MAEDA

- Related to Patch #32165: Rounded corners on table.cal added

#12 - 2019-10-03 03:41 - Go MAEDA

- Related to Patch #32166: Rounded corners on table.gantt-table added

Files

rounded-tables(excl-calendar+gantt+mypage).patch 846 Bytes 2019-09-04 Anonymous

roundedlisttables.png 40.5 KB 2019-09-04 Anonymous

roundedlisttables2.png 27.1 KB 2019-09-04 Anonymous

rounded-tables(excl-calendar+gantt+mypage)-v2.patch 859 Bytes 2019-09-27 Anonymous
